Bug 1921252 - with sharded ingresscontrollers, all shards reload when any endpoint changes
Summary: with sharded ingresscontrollers, all shards reload when any endpoint changes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Routing
Version: 4.5
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: ---
: 4.5.z
Assignee: Andrew McDermott
QA Contact: Hongan Li
URL:
Whiteboard:
: 1918197 (view as bug list)
Depends On: 1918194
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-27 19:20 UTC by OpenShift BugZilla Robot
Modified: 2021-02-09 17:27 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-09 13:34:10 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift router pull 251 0 None closed [release-4.5] Bug 1921252: Prevent unnecessary reloads in router shards 2021-02-10 16:34:03 UTC
Red Hat Product Errata RHSA-2021:0313 0 None None None 2021-02-09 13:34:34 UTC

Comment 1 Hongan Li 2021-01-28 07:10:11 UTC
verified with cluster launched by cluster-bot (launch openshift/router#251) and passed

$ oc get clusterversion
NAME      VERSION                                           AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.5.0-0.ci.test-2021-01-28-053545-ci-ln-sfr7nbb   True        False         62m     Cluster version is 4.5.0-0.ci.test-2021-01-28-053545-ci-ln-sfr7nbb

1. create route shards with two more custom ingresscontrollers, one is using namespace label and one is using route label.

spec:
  namespaceSelector:
    matchLabels:
      namespace: router-test

spec:
  routeSelector:
    matchLabels:
      route: router-test

2. create two projects, pods, services and routes, ns1 is labelled as "namespace=router-test", route2 in ns2 is labelled as route=router-test 

3. scale up/down the pods in ns2, no reload in the router pod with namespace label.

4. scale up/down the pods in ns1, no reload in the router pod with route label.

Comment 4 Andrew McDermott 2021-02-01 11:53:40 UTC
*** Bug 1918197 has been marked as a duplicate of this bug. ***

Comment 5 Stephen Greene 2021-02-05 17:54:37 UTC
*** Bug 1918197 has been marked as a duplicate of this bug. ***

Comment 7 errata-xmlrpc 2021-02-09 13:34:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: OpenShift Container Platform 4.5.31 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:0313


Note You need to log in before you can comment on or make changes to this bug.